shishi_cfg_default_userdirectory(3)

NAME
shishi_cfg_default_userdirectory - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_cfg_default_userdirectory(Shishi * handle);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

DESCRIPTION
The default user directory, referred to for Shishi ticket cache and other purposes, is normally computed by appending the fixed string "/.shishi" to the content of the environment variable $HOME.

This hard coded directory, i.e., "$HOME/.shishi/", can be replaced by whatever complete path is stored in the environment variable $SHISHI_HOME.

RETURN VALUE
Returns the user's directory name where the Shishi library will search for configuration files, ticket caches, etcetera.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.